Tukey {base} | R Documentation

## The Studentized Range Distribution

### Description

Functions on the distribution of the studentized range, R/s, where R is the range of a standard normal sample of size n and s^2 is independently distributed as chi-squared with df degrees of freedom, see `pchisq`.

### Usage

    ptukey(q, nmeans, df, nranges = 1, lower.tail = TRUE, log.p = FALSE)
    qtukey(p, nmeans, df, nranges = 1, lower.tail = TRUE, log.p = FALSE)

### Arguments

`q` | vector of quantiles.
`p` | vector of probabilities.
`nmeans` | sample size for range (same for each group).
`df` | degrees of freedom for s (see below).
`nranges` | number of groups whose maximum range is considered.
`log, log.p` | logical; if TRUE, probabilities p are given as log(p).
`lower.tail` | logical; if TRUE (default), probabilities are P[X <= x], otherwise, P[X > x].

### Details

If ng =`nranges` is greater than one, R is the maximum of ng groups of `nmeans` observations each.

### Value

`ptukey` gives the distribution function and `qtukey` its inverse, the quantile function.

### Note

A Legendre 16-point formula is used for the integral of `ptukey`. The computations are relatively expensive, especially for `qtukey` which uses a simple secant method for finding the inverse of `ptukey`. `qtukey` will be accurate to the 4th decimal place.

### References

Copenhaver, Margaret Diponzio and Holland, Burt S. (1988) Multiple comparisons of simple effects in the two-way analysis of variance with fixed effects. Journal of Statistical Computation and Simulation, 30, 1–15.

### See Also

`pnorm` and `qnorm` for the corresponding functions for the normal distribution.

### Examples

    system.time(curve(ptukey(x, nm=6, df=5), from=-1, to=8, n=101))
    (ptt <- ptukey(0:10, 2, df= 5))
    (qtt <- qtukey(.95, 2, df= 2:11))
    ## The precision may be not much more than about 8 digits:
    summary(abs(.95 - ptukey(qtt,2, df = 2:11)))